This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1477004 - update running jon as a service
update running jon as a service
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: Documentation (Show other bugs)
JON 3.3.7
Unspecified Unspecified
unspecified Severity unspecified
: post-GA
: JON 3.3.8
Assigned To: Tyler Kelly
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-01 00:19 EDT by Tyler Kelly
Modified: 2017-08-25 00:20 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Build Name: 23081, Configuring JBoss ON Servers, Agents, and Storage Nodes-3.3-3.3 Build Date: 11-04-2017 11:27:52 Topic ID: 43267-750862 [Latest]
Last Closed: 2017-08-25 00:20:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tyler Kelly 2017-08-01 00:19:54 EDT
Title: Running the &JON; Server as a Service

Describe the issue:

- need to change the file extension to .sh

Need to add

chmod +x /etc/init.d/jboss-on.sh

[root@server rhq-agent] # sudo chkconfig --add /etc/init.d/jboss-on.sh

Enable the agent service to run at boot time and have it stop gracefully at when the system shuts down.

sudo chkconfig /etc/init.d/jboss-on.sh

Note You need to log in before you can comment on or make changes to this bug.